First rails app 1.4 help appreciated


#1

I’m stuck at section 1.4 and getting an a localhost 3000 cars “site can’t be reached” error (see attached image)

I get the below last few lines of output from terminal after inputing:
`

rails server

`

1: from /Users/jonathanyale/.rbenv/versions/2.6.5/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:87:in load' /Users/jonathanyale/.rbenv/versions/2.6.5/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:91:inrescue in load’: Webpacker configuration file not found /Users/jonathanyale/web/odin/odin_on_rails/my_first_rails_app/config/webpacker.yml. Please run rails webpacker:install Error: No such file or directory @ rb_sysopen - /Users/jonathanyale/web/odin/odin_on_rails/my_first_rails_app/config/webpacker.yml (RuntimeError)

Below is screenshot of when i navigate to http://localhost:3000/cars

39%20PM


#2

You might need to run rails webpacker:install while inside the rails project folder in your terminal.


#3

Thanks for the help @CouchofTomato. That advice was useful. This ended up being moot bc I went backwards (uninstalling rails +railties) because I had rails v 6.0.1 and saw in the chats that was causing people issues. I made it through the end of the rails/heroku deployment.

Thanks again!